The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]



"Опасные уязвимости в утилитах beep и patch"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от opennews (??) on 11-Апр-18, 10:41 
Раскрыты детали критической уязвимости в утилите beep. Изначально проблема была представлена в начале апреля в шуточной форме под именем Holey Beep и была воспринята многими как первоапрельская шутка с сатирой на современные тенденции продвижения информации об уязвимостях. Для Holey Beep был создан отдельный сайт, подготовлен видеоклип, упомянута возможность исправления антивирусами и необходимость обновления браузера. Описание было изложено очень поверхностно в общих словах.

На деле проблема оказалась реальной уязвимостью CVE-2018-0492, позволяющей повысить привилегии до прав root. Функции утилиты beep сводятся к выводу гудка при запуске, при этом во многих дистрибутивах, включая Debian и Ubuntu, утилита установлена с флагом suid root (требуется для доступа к текущему tty при удалённом входе). Найденная уязвимость вызвана состоянием гонки, которое инициируется через обработчик сигналов в момент манипуляции с файловыми дескрипторами консоли и, в случае успеха, позволяет записать 4 байта в любой файл в системе.

В ходе атаки создаётся символическая ссылка на /dev/input/event0, которая передаётся в качестве аргумента опции "--device" (устройство консоли для получения события о начале гудка), инициируется гудок и через очень маленькую специально подобранную задержку символическая ссылка заменяется ссылкой на другой файл, через ещё одну небольшую задержку процессу отправляются сигналы SIGINT и SIGTERM. При обработке сигнала SIGINT происходит вызов функции do_beep() для записи в консоль команды для остановки воспроизведения гудка ("write(console_fd, &e, sizeof(struct input_event))").

Рассчитав задержку так, чтобы вызов SIGINT совпал с выполнением участка кода, в котором содержимое console_fd и console_type (первое поле структуры "e") указывает на некорректные значения, можно записать произвольные 4 байта в файл. Так как один запуск утилиты beep позволяет выполнить несколько гудков (функция play_beep) и при каждом гудке заново открывается консоль, можно найти такой момент, при котором в console_fd будут отражены параметры нового гудка (дескриптор подменённого файла), а в console_type останется старое значение. При удачном стечении обстоятельств в уже подменённый файл будет записано 4-байтовое значение со временем, содержимое которого можно контролировать через опцию "-l".

Операции повторяются в цикле пока не удастся поймать состояние гонки. Для получения прав root, в ходе работы эксплоита ссылка на /dev/input/event0 подменяется ссылкой на файл /etc/profile или /etc/bash/bashrc и производится запись 4 символов "/*/x", которые при запуске очередного root-сеанса приведут к выполнению заранее подготовленного скрипта /tmp/x. Для тестирования подготовлен рабочий эксплоит. Для исправления проблемы подготовлен патч. Дистрибутивам рекомендуется убрать флаг suid с утилиты beep или последовать примеру дистрибутива SUSE и заменить beep на shell-заглушку с командой 'echo -en "\007"' или "printf '\a'".

С учётом наличия в beep опций для передачи пути к устройству ввода и запуска с применением suid root, анонс Holey Beep вызвал интерес исследователей безопасности, которые сразу нашли ещё две, менее опасные уязвимости. Суть первой проблемы в возможности определения наличия файлов в каталогах, доступных только пользователю root (через "-device" указывается путь к проверяемому файлу и в зависимости от ответа определяется существует такой файл или нет). Вторая проблема вызвана целочисленным переполнением при обработке содержимого опций "-l" и "-D".

Кроме проблем в beep опасная уязвимость (CVE-2018-1000156) также найдена в утилите GNU patch. Проблема связана с поддержкой патчей в устаревшем формате "ed", который допускает выполнение сторонних команд при помощи оператора "!". Интересно, что в BSD patch похожая проблема была устранена в 2015 году. Например, попытка применения следующего патча, приведёт к записи текущего идентификатора пользователя в файл /pwn.lol:


   --- a    2018-04-11 13:37:37.000000000 +0100
   +++ b    2018-04-11 13:38:38.000000000 +0100
   1337a
   1,112d
   !id>~/pwn.lol
Обновление пакета GNU patch с устранением уязвимости пока выпущено только для Ubuntu и Arch Linux, для других дистрибутивов исправление ожидается в ближайшее время (Debian, Fedora, SUSE, openSUSE, RHEL, CentOS).

URL: http://openwall.com/lists/oss-security/2018/04/06/1
Новость: https://www.opennet.ru/opennews/art.shtml?num=48427

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 10:41 
Звучит как шутка
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

11. "Смертельно опасные шутки в утилитах beep и patch"  +2 +/
Сообщение от Andrey Mitrofanov on 11-Апр-18, 11:07 
> Звучит как шутка

beep у меня в Debian-е установлен с SUID.

Там наверху написано, что "устаревшший формат" patch-а исполняет где-то какой-то код/перенаправление.

Мы все умрём.  И это тоже не шутка.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

41. "Смертельно опасные шутки в утилитах beep и patch"  –2 +/
Сообщение от Аноним (??) on 11-Апр-18, 13:32 
> beep у меня в Debian-е установлен с SUID.

А зачем ты его установил и поставил на него SUID?

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

46. "Смертельно опасные шутки в утилитах beep и patch"  +1 +/
Сообщение от Andrey Mitrofanov on 11-Апр-18, 13:39 
>> beep у меня в Debian-е установлен с SUID.
> А зачем ты его установил и

"бикоз ай кен" можно? Спасибо.

>поставил на него SUID?

Это http://git.deb.at/w/pkg/beep.git/blob/HEAD:/debian/README.De... не я...

...и вот так у них всё!

Ответить | Правка | ^ к родителю #41 | Наверх | Cообщить модератору

121. "Смертельно опасные шутки в утилитах beep и patch"  +1 +/
Сообщение от _ (??) on 12-Апр-18, 15:26 
"The code is quite short so it should be clear that it's not exploitable."

Awesome!

Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

116. "Смертельно опасные шутки в утилитах beep и patch"  +1 +/
Сообщение от Аноним (??) on 12-Апр-18, 12:56 
> А зачем ты его установил и поставил на него SUID?

Это же элементарно, Ватсон! Ему нравится бибикать и все портить.

Ответить | Правка | ^ к родителю #41 | Наверх | Cообщить модератору

12. "Опасные уязвимости в утилитах beep и patch"  +4 +/
Сообщение от Аноним (??) on 11-Апр-18, 11:09 
Уязвимость в пищалке операционной системы, "готовой" для десктопа и использующейся на куче серверов - это очень и очень несмешная шутка.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

15. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от XoRe (ok) on 11-Апр-18, 11:25 
> Уязвимость в пищалке операционной системы, "готовой" для десктопа и использующейся на куче
> серверов - это очень и очень несмешная шутка.

Да, это близко к уязвимости в анимированых иконках у винды https://www.cvedetails.com/cve/CVE-2007-0038/

Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

18. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Аноним (??) on 11-Апр-18, 11:34 
Не придирайся к мелочам.
Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

19. "Опасные уязвимости в утилитах beep и patch"  –4 +/
Сообщение от Totally_Free_BSD on 11-Апр-18, 11:34 
>ERR_CONNECTION_RESET
>CVE-2007

Очень, очень плохая попытка перекинуть с больной головы на здоровую. Уязвимость не в Винде в иконках, а в Линуксе, в ср*ном бипере. В 2018 году. С root-доступом.

Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

75. "Опасные уязвимости в утилитах beep и patch"  –5 +/
Сообщение от _ (??) on 11-Апр-18, 18:01 
А в ср*ном вантузе - в иконках. В 2018 году. Единственнон что хорошо делает - это пароли папе шлёт. Я вот вчера ради смеха фаерволом его подпёр ... так оно с*ка мошину ночью перегрузил. Ибо нех :))))
Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

81. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 11-Апр-18, 19:57 
> А в ср*ном вантузе - в иконках. В 2018 году.

Даже открывать ссылку не обязательно, чтобы увидеть, что речь идёт про 2007 год.

Винду это, конечно, не оправдывает, но вот вашу некомпетентность, к сожалению, демонстрирует ярко.

Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

91. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 00:37 
Эдак ежели вы будете перстом вонзать на каждого отрока опеннета вна его некомментентность, то где времени добыти на трапезу да потчевание?
Ответить | Правка | ^ к родителю #81 | Наверх | Cообщить модератору

93. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 12-Апр-18, 00:45 
> Эдак ежели вы будете перстом вонзать на каждого отрока опеннета вна его
> некомментентность, то где времени добыти на трапезу да потчевание?

Мой добрый друг, мудрость и правота ваши несомненны. Мне, ничтожному, остаётся лишь скромно уповать на милость Его, что снизойдёт Он до моих скромных усилий и сочтёт их достойными маленького уголка в Царствии небесном, когда придёт и мой черёд обняться с грешной землёю.

Ответить | Правка | ^ к родителю #91 | Наверх | Cообщить модератору

105. "Опасные уязвимости в утилитах beep и patch"  +3 +/
Сообщение от iPony on 12-Апр-18, 05:39 
Ну набери в поиск "linux thumbnail vulnerability" найдёшь что-то свежее.
Причём тут вообще венда.
Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

22. "Опасные уязвимости в утилитах beep и patch"  +3 +/
Сообщение от iPony on 11-Апр-18, 11:46 
> Уязвимость в пищалке операционной системы, "готовой" для десктопа

Ну я бы не стал драматизировать или ещё что там *ировать.
Проверил на десктопной дефолтной Ubuntu - нет этой бикалки.
Да и эксплуатация подразумевает уже выполнение кода с правами пользователя. А для пользователя по большому счёту это уже значит поражение.

Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

43. "Опасные уязвимости в утилитах beep и patch"  +6 +/
Сообщение от Аноним (??) on 11-Апр-18, 13:36 
> Уязвимость в пищалке операционной системы, "готовой" для десктопа и использующейся на куче
> серверов - это очень и очень несмешная шутка.

Расслабься, по умолчанию она не установлена.

Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

80. "Опасные уязвимости в утилитах beep и patch"  +3 +/
Сообщение от Ordu email(ok) on 11-Апр-18, 19:40 
Я не нашёл её ни в генту, ни в убунте, ни в дебиане. Её, видимо, надо специально устанавливать, чтобы бибикать. Но зачем её устанавливать, если есть echo -en '\a'?
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

123. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от Аноним (??) on 12-Апр-18, 21:14 
Может быть потому, что с помощью echo не воспроизвести подобное:
beep -f 659 -l 460 -n -f 784 -l 340 -n -f 659 -l 230 -n -f 659 -l 110 -n \
  -f 880 -l 230 -n -f 659 -l 230 -n -f 587 -l 230 -n -f 659 -l 460 -n \
  -f 988 -l 340 -n -f 659 -l 230 -n -f 659 -l 110 -n -f 1047-l 230 -n \
  -f 988 -l 230 -n -f 784 -l 230 -n -f 659 -l 230 -n -f 988 -l 230 -n \
  -f 1318 -l 230 -n -f 659 -l 110 -n -f 587 -l 230 -n -f 587 -l 110 -n \
  -f 494 -l 230 -n -f 740 -l 230 -n -f 659 -l 460
Ответить | Правка | ^ к родителю #80 | Наверх | Cообщить модератору

124. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Ordu email(ok) on 12-Апр-18, 21:56 
> Может быть потому, что с помощью echo не воспроизвести подобное:

лол. Да. Скорее всего.

Ответить | Правка | ^ к родителю #123 | Наверх | Cообщить модератору

87. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от all_glory_to_the_hypnotoad (ok) on 11-Апр-18, 22:12 
Ну так только идиоты ставят всякий шлак в систему, тем более на серверы. Это во-первых, не "пищалка" операционной системы, а во-вторых - beep нахрен не нужен уже лет как 20.
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

88. "Опасные уязвимости в утилитах beep и patch"  –3 +/
Сообщение от Michael Shigorin email(ok) on 11-Апр-18, 23:27 
> во многих дистрибутивах, включая Debian и Ubuntu,
> утилита установлена с флагом suid root

Вот _это_ и есть <beep>.  Причём если от убунтушников такое совершенно бы не удивило, то вот дебианщики могли бы ломтик своего фирменного оверинжиниринга... хотя не, не могли бы, тут другой навык нужен.

PS: заглянул в пакет beep-speaker -- у нас майнтейнер, как и в случае с OpenSSL, идиотизмом не страдает.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

107. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от mikhailnov (ok) on 12-Апр-18, 08:37 
Как на счет исправления CVE в Path в Альте? Убунтушники уже исправили во всех поддерживаемых релизах начиная с 14.04
Ответить | Правка | ^ к родителю #88 | Наверх | Cообщить модератору

111. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Andrey Mitrofanov on 12-Апр-18, 10:34 
>> во многих дистрибутивах, включая Debian и Ubuntu,
>> утилита установлена с флагом suid root
> Вот _это_ и есть <beep>.  Причём если от убунтушников такое совершенно
> бы не удивило, то вот дебианщики могли бы ломтик своего фирменного
> оверинжиниринга... хотя не, не могли бы, тут другой навык нужен.

dpkg-reconfigure beep
Дата и содержание сего http://git.deb.at/w/pkg/beep.git/blob/HEAD:/debian/README.De... _теперь_ смотрятся... да, интересно. Но не более.

> PS: заглянул в пакет beep-speaker -- у нас майнтейнер, как и в
> случае с OpenSSL, идиотизмом не страдает.

Поддержкой "массовой" (гусары, прошу... не надо) аудитории "просто работающими" дефолтами конфигурации?  Молодец.  Установка сразу с "[х] ни одного suid-бинаря в системе"?  Дважды молодец.  Приветы пользователям....

Ответить | Правка | ^ к родителю #88 | Наверх | Cообщить модератору

119. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 13:07 
> оверинжиниринга... хотя не, не могли бы, тут другой навык нужен.

У дебианщиков ЭТО у меня не обнаружено ни в одной инсталляции дебиана. И в убунтах - тоже. Так что это надо в лучших традициях линуксных вирей сперва самому себе поставить, для начала.

Ответить | Правка | ^ к родителю #88 | Наверх | Cообщить модератору

2. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от A.Stahl (ok) on 11-Апр-18, 10:41 
>создаётся символическая ссылка на /dev/input/event0

Стоп! Т.е. чтобы записать 4 байта под рутовыми правами нужно уже иметь права root?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

8. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 10:47 
>>создаётся символическая ссылка на /dev/input/event0

Читайте внимательнее, в ходе race condition "символическая ссылка заменяется ссылкой на другой файл"

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

10. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от Аноним (??) on 11-Апр-18, 10:51 
При создании симлинка из /home/user в /dev права не проверяются
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

83. "Опасные уязвимости в утилитах beep и patch"  –1 +/
Сообщение от Олег email(??) on 11-Апр-18, 20:14 
Да не ужели?

> $ touch /dev/yoyo    
> touch: cannot touch '/dev/yoyo': Permission denied

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

85. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от km (??) on 11-Апр-18, 21:16 
В новости написано: "ссылка НА /dev/input/event0", а не "в".
Ответить | Правка | ^ к родителю #83 | Наверх | Cообщить модератору

48. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Нанобот (ok) on 11-Апр-18, 13:54 
внезапно, для создания символических ссылок не нужны root-права
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

86. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от BSA on 11-Апр-18, 21:31 
$ ln -s /dev/event0 $HOME/my-event
Ответить | Правка | ^ к родителю #48 | Наверх | Cообщить модератору

3. "Опасные уязвимости в утилитах beep и patch"  +42 +/
Сообщение от Аноним (??) on 11-Апр-18, 10:42 
Наконец-то стало ясно, каким именно способом vi пищит и все портит.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

21. "Опасные уязвимости в утилитах beep и patch"  –4 +/
Сообщение от Аноним (??) on 11-Апр-18, 11:46 
> Наконец-то стало ясно, каким именно способом vi пищит и все портит.

Спалился, бэкдор АНБшный!

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

94. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 00:48 
Пищит он только в неопытных руках. Проявите уже терпимость и испортите что-нибудь без использования vi, наконец.
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

4. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Аноним (??) on 11-Апр-18, 10:42 
dpkg -l|grep beep|wc -l
0
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

32. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Аноним (??) on 11-Апр-18, 13:08 
и в генте нету :(

> # beep
> bash: beep: command not found

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

42. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Andrey Mitrofanov on 11-Апр-18, 13:32 
> и в генте нету :(

А если https://duckduckgo.com/?q=beep+site:gentoo.org найду...

>> # beep
>> bash: beep: command not found

Ответить | Правка | ^ к родителю #32 | Наверх | Cообщить модератору

122. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от SysA on 12-Апр-18, 15:49 
>> и в генте нету :(
> А если https://duckduckgo.com/?q=beep+site:gentoo.org найду...
>>> # beep
>>> bash: beep: command not found

[N] app-misc/beep (1.3-r3): The advanced PC speaker beeper

:)

Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

50. "Опасные уязвимости в утилитах beep и patch"  –3 +/
Сообщение от annual slayer on 11-Апр-18, 14:05 
выучи уж `grep -c` раз решил говорить на баше вместо русского
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

62. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 16:11 
> выучи уж `grep -c` раз решил говорить на баше вместо русского

Ты человеку тычешь опцией утилиты grep из-за bash, тогда как корректно с точки зрения логики будет как-то так: "Выучи уж `grep -c` раз решил использовать grep для подсчета количества строк".  Твой гуманитарный мозг смешал grep и bash в кучу так, что нормальных анонимов стошнило от вашей "логики".

Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

6. "Опасные уязвимости в утилитах beep и patch"  –1 +/
Сообщение от Berkwit on 11-Апр-18, 10:45 
А что дальше , уязвимость в утилите cat позволяющая убить фс?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

23. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Аноним (??) on 11-Апр-18, 11:52 
> А что дальше , уязвимость в утилите cat позволяющая убить фс?

Фигня вопрос! cat /dev/urandom > /dev/sda от рута - и получишь что хотел. Не хочешь от рута? Ну тогда suid'ный бит на cat поставь.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

39. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 13:26 
тогда не на cat, а на tee надо, cat вроде не умеет...
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

44. "Опасные уязвимости в утилитах beep и patch"  +5 +/
Сообщение от Аноним (??) on 11-Апр-18, 13:38 
Ставь на /bin/bash, чтобы наверняка.
Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

112. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 11:33 
> тогда не на cat, а на tee надо, cat вроде не умеет...

Не умеет что?!

Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

125. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 13-Апр-18, 15:34 
> Не умеет что?!

Не умеет запуститься самостоятельно после того, как шелл этого не сделал, обломавшись открыть файл на запись.

Ответить | Правка | ^ к родителю #112 | Наверх | Cообщить модератору

113. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 11:53 
> cat /dev/urandom > /dev/sda от рута - и получишь что хотел. Не хочешь от рута? Ну тогда suid'ный бит на cat поставь.

Знак больще ">" обрабатывается не cat'ом, а текущим шеллом.
Поэтому здесь даже режим супербога на cat не поможет.

Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

114. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от Аноним (??) on 12-Апр-18, 11:55 
* больще
Капец как перед братьями-анонимами неудобно!


Ответить | Правка | ^ к родителю #113 | Наверх | Cообщить модератору

7. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от z (??) on 11-Апр-18, 10:46 
>Обновление пакета GNU patch с устранением уязвимости уже выпущено только для Ubuntu и ожидается

Slackware-Current:
Fri Apr  6 20:47:43 UTC 2018
a/patch-2.7.6-x86_64-2.txz:  Rebuilt.
  Fix arbitrary shell execution possible with obsolete ed format patches.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

27. "Опасные уязвимости в утилитах beep и patch"  –3 +/
Сообщение от Аноним (??) on 11-Апр-18, 12:18 
Увы, шлакварь теперь даже за дистр не держат :(
как будто deb-base помойка лучше
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

74. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от z (??) on 11-Апр-18, 17:58 
- "Это не дистр" сказали люди, юзающие не славкарь
- "Ну вот и подождёте" сказали разрабы "дистров" своим пользователям
Ответить | Правка | ^ к родителю #27 | Наверх | Cообщить модератору

16. "Опасные уязвимости в утилитах beep и patch"  –2 +/
Сообщение от Аноним (??) on 11-Апр-18, 11:31 
>при этом во многих дистрибутивах, включая Debian и Ubuntu, утилита установлена
>утилита установлена
>установлена

$  beep

Command 'beep' not found, but can be installed with:

sudo apt install beep

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

53. "Опасные уязвимости в утилитах beep и patch"  –3 +/
Сообщение от Аноним (??) on 11-Апр-18, 14:21 
А когда в ядре уязвимость найдут чем будешь хвастаться?

Этим?
>"uname" не является внутренней или внешней командой, исполняемой программой или пакетным файлом windows

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

70. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 17:26 
> А когда в ядре уязвимость найдут чем будешь хвастаться?
> Этим?
>>"uname" не является внутренней или внешней командой, исполняемой программой или пакетным файлом windows

MSYS_NT-6.1

Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

118. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 13:05 
>> А когда в ядре уязвимость найдут чем будешь хвастаться?
>> Этим?
>>>"uname" не является внутренней или внешней командой, исполняемой программой или пакетным файлом windows
>MSYS_NT-6.1

MSYS_NT-10.0

Нда, вот и померялись uname. Вообще-то, это GNU Coreutils. И если в нём будет уязвимость, венда тоже под раздачу попасть может. Если в чём-то тот чувак и прав, так это в том, что подобные проблемы должны затрагивать только пользователей данного юзерспейса и если мейнтейнер тыквоголовый и навязывает подобные сомнительные (и не нужные всем подряд) утилиты, это проблема для всех пользователей того дистрибутива. А дыра вполне очевидная, могли и раньше показать.

Ответить | Правка | ^ к родителю #70 | Наверх | Cообщить модератору

77. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от _ (??) on 11-Апр-18, 18:26 
Кисо ты чего нервное такое? Сколько уже было уязвимостей и сколько ещё будет ... и даже пчёлы - фигня! (С) :)
Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

95. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 00:53 
Так четверг, до субботы еще 2 дня. Нервное время недели.
Ответить | Правка | ^ к родителю #77 | Наверх | Cообщить модератору

17. "Опасные уязвимости в утилитах beep и patch"  +7 +/
Сообщение от Perlovka (ok) on 11-Апр-18, 11:32 
В Gentoo beep не стоит по умолчанию, и собирается без suid :P
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

54. "Опасные уязвимости в утилитах beep и patch"  –3 +/
Сообщение от Аноним (??) on 11-Апр-18, 14:21 
> В Gentoo beep не стоит по умолчанию, и собирается без suid :P

Отлично! Жалко гентой никто не пользуется.


Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

59. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Perlovka (ok) on 11-Апр-18, 15:15 
Да, настолько не пользуются, что это единственный дистр, до сих пор собирающийся практически на любом чайнике =)

https://en.wikipedia.org/wiki/Comparison_of_Linux_distributi...

Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

60. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Гентушник (ok) on 11-Апр-18, 15:48 
Восславим святую корову!
Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

24. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 12:02 
В Arch тоже beep по умолчанию нет
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

26. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от rshadow (ok) on 11-Апр-18, 12:16 
В дебиане по умолчанию тоже. Как они его там нашли?
Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

37. "Опасные уязвимости в утилитах beep и patch"  –3 +/
Сообщение от iZEN (ok) on 11-Апр-18, 13:22 
beep - это внутренняя команда оболочки, нет?
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

45. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от Аноним (??) on 11-Апр-18, 13:39 
Расскажи, как поставить SUID на встроенную команду оболочки?
Ответить | Правка | ^ к родителю #37 | Наверх | Cообщить модератору

56. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от iZEN (ok) on 11-Апр-18, 14:34 
> Расскажи, как поставить SUID на встроенную команду оболочки?

В /proc.

Ответить | Правка | ^ к родителю #45 | Наверх | Cообщить модератору

57. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 14:51 
А подробнее?
Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

115. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 11:58 
Иди В /proc.
Ответить | Правка | ^ к родителю #57 | Наверх | Cообщить модератору

28. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от J.L. on 11-Апр-18, 12:29 
> опасная уязвимость (CVE-2018-1000156) ... в утилите GNU patch. Проблема связана с поддержкой патчей в устаревшем формате "ed", который допускает выполнение сторонних команд при помощи оператора "!"

и при этом запуск скриптов из пакетов установки deb/rpm не является уязвимостью??? когда уже это пофиксят то???

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

31. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 11-Апр-18, 12:42 
Пакеты устанавливаются из доверенного источника администратором системы.

Патчи не верифицируются перед использованием и накладываются безграмотными (именно так, многие разработчики, в том числе «линуксовые», ни черта не смыслят в безопасности и не разбираются в собственных инструментах) пользователями.

Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

82. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от J.L. on 11-Апр-18, 20:00 
тоесть вначале делаем раз
> Патчи не верифицируются перед использованием и накладываются безграмотными (именно так,
> многие разработчики, в том числе «линуксовые», ни черта не смыслят в
> безопасности и не разбираются в собственных инструментах) пользователями.

собираем из этого пакеты

а потом делаем два
> Пакеты устанавливаются из доверенного источника администратором системы.

вам самим не смешно?

зы: я должен считать официальный ппа трансмишена доверенным источником или я должен пользоваться только версией трансмишена из репозитория убунты?
а каким я должен считать этот ppa https://launchpad.net/~commendsarnex/+archive/ubuntu/winedri3 ?

Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

84. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 11-Апр-18, 20:16 
>[оверквотинг удален]
>> многие разработчики, в том числе «линуксовые», ни черта не смыслят в
>> безопасности и не разбираются в собственных инструментах) пользователями.
> собираем из этого пакеты
> а потом делаем два
>> Пакеты устанавливаются из доверенного источника администратором системы.
> вам самим не смешно?
> зы: я должен считать официальный ппа трансмишена доверенным источником или я должен
> пользоваться только версией трансмишена из репозитория убунты?
> а каким я должен считать этот ppa https://launchpad.net/~commendsarnex/+archive/ubuntu/winedri3
> ?

А причём здесь патчи, которые идут в пакеты? Я среди них ed-style патчей что-то пока не видел. А сами патчи — для официальных пакетов, по крайней мере, — всё же какой-никакой контроль качества проходят.

Чтобы подключить другой репозиторий, также нужно произвести административные действия, недоступные обычному пользователю. Или мы будем уязвимостью объявлять саму возможность изменить поведение системы, имея административные привилегии?

Ответить | Правка | ^ к родителю #82 | Наверх | Cообщить модератору

89. "Опасные уязвимости в утилитах beep и patch"  –1 +/
Сообщение от JL2001 (ok) on 12-Апр-18, 00:14 
> А причём здесь патчи, которые идут в пакеты? Я среди них ed-style патчей что-то пока не видел. А сами патчи — для официальных пакетов, по крайней мере, — всё же какой-никакой контроль качества проходят.

блжад, вы очередной неуловимый джо ? тоесть вы хотите подождать пока вы станете кому-то нужны и вам в дебе придёт скрипт которому вы нужны ?
ну ёперный балет, я даже не знаю что тогда говорить

> Чтобы подключить другой репозиторий, также нужно произвести административные действия, недоступные обычному пользователю. Или мы будем уязвимостью объявлять саму возможность изменить поведение системы, имея административные привилегии?

есть вайн, есть вариант вайна с дх9 через нативный драйвер
его нет в оффрепах
я так понял что ваш вариант действий - "ничего сделать нельзя, валите в винду" ?
видь мы не можем установить себе вайн-найн для запуска его в контейнере
так как сама установка происходит без контейнера и запускает всякую неведуемую уету от рута

Ответить | Правка | ^ к родителю #84 | Наверх | Cообщить модератору

90. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 12-Апр-18, 00:35 
>> А причём здесь патчи, которые идут в пакеты? Я среди них ed-style патчей что-то пока не видел. А сами патчи — для официальных пакетов, по крайней мере, — всё же какой-никакой контроль качества проходят.
> блжад, вы очередной неуловимый джо ? тоесть вы хотите подождать пока вы
> станете кому-то нужны и вам в дебе придёт скрипт которому вы
> нужны ?
> ну ёперный балет, я даже не знаю что тогда говорить

Если вы не доверяете поставщику родных пакетов для вашей ОС, то, простите, а как вы её тогда ставите? Вручную каждый бит инсталлятора на CD-R лазером выжигаете? А откуда вы знаете правильную последовательность?..

Прежде чем наслаждаться паранойей, подумайте, вы же кому-то всё-таки доверяете?

>> Чтобы подключить другой репозиторий, также нужно произвести административные действия, недоступные обычному пользователю. Или мы будем уязвимостью объявлять саму возможность изменить поведение системы, имея административные привилегии?
> есть вайн, есть вариант вайна с дх9 через нативный драйвер
> его нет в оффрепах
> я так понял что ваш вариант действий - "ничего сделать нельзя, валите
> в винду" ?
> видь мы не можем установить себе вайн-найн для запуска его в контейнере

Эм. То есть человек, которому нужен Wine, который в свою очередь нужен для запуска чёрт знает чего бинарного, переживает, что ему сам Wine подсунут какой-то не такой? Вы не того боитесь, определённо.

> так как сама установка происходит без контейнера и запускает всякую неведуемую уету
> от рута

А вы уверены, что бинарник /bin/cat в вашей системе, установленный безо всяких скриптов, сам по себе безобидный?

Скрипты пишут люди. В нормальном репозитории эти скрипты можно посмотреть ДО скачивания и установки всего пакета.

И, да, скрипты в пакетах — это действительно зло. Но совсем по другой причине, нежели вы утверждаете, а именно — надёжность их работы, особенно в условиях отличающихся от изначальных. В случае сбоя в работе скрипта (пусть даже из-за сторонних факторов) установленный пакет может установиться с ошибками, приводящими вплоть до разрушения целостности локального репозитория сведений об установленных пакетах.

Ответить | Правка | ^ к родителю #89 | Наверх | Cообщить модератору

96. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от JL2001 (ok) on 12-Апр-18, 01:10 
> Если вы не доверяете поставщику родных пакетов для вашей ОС, то, простите,
> а как вы её тогда ставите? Вручную каждый бит инсталлятора на
> CD-R лазером выжигаете? А откуда вы знаете правильную последовательность?..

я доверяю дефолтрепу

>>> Чтобы подключить другой репозиторий, также нужно произвести административные действия, недоступные обычному пользователю. Или мы будем уязвимостью объявлять саму возможность изменить поведение системы, имея административные привилегии?
>> есть вайн, есть вариант вайна с дх9 через нативный драйвер
>> его нет в оффрепах
>> я так понял что ваш вариант действий - "ничего сделать нельзя, валите
>> в винду" ?
>> видь мы не можем установить себе вайн-найн для запуска его в контейнере
> Эм. То есть человек, которому нужен Wine, который в свою очередь нужен
> для запуска чёрт знает чего бинарного, переживает, что ему сам Wine
> подсунут какой-то не такой? Вы не того боитесь, определённо.

и не доверяю репу вайннайна
вайннайн и НЁХ в нём я буду запускать в контейнере
и я не хочу при каждом старте контейнера инсталить в нём в него вайннайн
я хочу безопасно установить вайннайн в систему (тем более что он ставится в /opt/wine-d3d9-staging/ сам по себе)
теперь вы поняли чего я боюсь? я не могу безопасно установить опасное приложение в систему, но могу безопасно запускать опасное приложение

Ответить | Правка | ^ к родителю #90 | Наверх | Cообщить модератору

97. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 12-Апр-18, 01:39 
>[оверквотинг удален]
>>> есть вайн, есть вариант вайна с дх9 через нативный драйвер
>>> его нет в оффрепах
>>> я так понял что ваш вариант действий - "ничего сделать нельзя, валите
>>> в винду" ?
>>> видь мы не можем установить себе вайн-найн для запуска его в контейнере
>> Эм. То есть человек, которому нужен Wine, который в свою очередь нужен
>> для запуска чёрт знает чего бинарного, переживает, что ему сам Wine
>> подсунут какой-то не такой? Вы не того боитесь, определённо.
> и не доверяю репу вайннайна
> вайннайн и НЁХ в нём я буду запускать в контейнере

Опасное приложение в контейнере? Смело, смело.

Почему бы просто не собирать wine самому? Написать один раз скрипт, если процесс не тривиален, и вперёд. Не?

> и я не хочу при каждом старте контейнера инсталить в нём в
> него вайннайн

Поставьте один раз и сделайте снапшот, делов-то. Потом запускаете контейнер прямо со снапшота.

> я хочу безопасно установить вайннайн в систему (тем более что он ставится
> в /opt/wine-d3d9-staging/ сам по себе)
> теперь вы поняли чего я боюсь? я не могу безопасно установить опасное
> приложение в систему, но могу безопасно запускать опасное приложение

Опасное приложение вы можете запускать «безопасно» только на отдельной физической машине, с физически отключенными средствами связи с внешним миром. Конечно, в этом случае остаётся риск быть запрограммированным через 255-й кадр, но это уже на «Рен-ТВ». :)

Если в случае с полноценной виртуализацией ещё о каком-то повышении безопасности говорить можно (и то с оговорками на тему наличия штатных и нештатных backdoor к хост-системе), то с контейнерами это вообще смешно. У вас ядро в контейнере то же самое крутится, между прочим! Конечно, напрямую из контейнера к вашим личным файлам будет сложнее достучаться, но это отсеет лишь самых наивных скрипт-кидисов.

Вы ведь из-под этого wine, как я понимаю, ещё и графические приложения запускать будете? То есть вы будете допускать то самое опасное приложение к своему X-серверу? А вы в курсе, например, что X-клиенты (окна, если очень грубо говоря) друг от друга НИКАК не изолированы и могут свободно, например, считывать содержимое друг друга и отправлять друг другу что угодно?

В общем, если вы действительно заботитесь о своей безопасности, то для начала забудьте про wine и чужеродные бинарники в принципе, со скриптами и без оных. Иначе все ваши усилия не будут стоить и ломаного гроша... Ну или расслабьтесь, выделите машину сугубо для игр и прочих развлечений и ставьте на ней что и как хотите, только пароли от других систем никогда на ней вводите.

Как-то так.

Ответить | Правка | ^ к родителю #96 | Наверх | Cообщить модератору

98. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от JL2001 (ok) on 12-Апр-18, 01:58 
>[оверквотинг удален]
> к своему X-серверу? А вы в курсе, например, что X-клиенты (окна,
> если очень грубо говоря) друг от друга НИКАК не изолированы и
> могут свободно, например, считывать содержимое друг друга и отправлять друг другу
> что угодно?
> В общем, если вы действительно заботитесь о своей безопасности, то для начала
> забудьте про wine и чужеродные бинарники в принципе, со скриптами и
> без оных. Иначе все ваши усилия не будут стоить и ломаного
> гроша... Ну или расслабьтесь, выделите машину сугубо для игр и прочих
> развлечений и ставьте на ней что и как хотите, только пароли
> от других систем никогда на ней вводите.

да, я согласен, особенно про X-ы и безопасность, но скрипты в пакетах установки это такая же дырища как и кейлогерные функции X-ов

Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

100. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от angra (ok) on 12-Апр-18, 02:04 
> да, я согласен, особенно про X-ы и безопасность, но скрипты в пакетах  установки это такая же дырища как и кейлогерные функции X-ов

То есть если тебя поимеют через устанавливаемый суидный бинарь или юнит системГ это нормально, а через скрипт - беда, огорчение, дырища.


Ответить | Правка | ^ к родителю #98 | Наверх | Cообщить модератору

108. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от JL2001 (ok) on 12-Апр-18, 09:12 
>> да, я согласен, особенно про X-ы и безопасность, но скрипты в пакетах  установки это такая же дырища как и кейлогерные функции X-ов
> То есть если тебя поимеют через устанавливаемый суидный бинарь или юнит системГ
> это нормально, а через скрипт - беда, огорчение, дырища.

при установке расчитываешь что dpkg или rpm с оффрепозиториев - написаны хорошо
и что они не сделают системе больно при установке недоверенного пакета
что системд не сделает новый сервис сразу стартед (так и есть, не делает)
что при установке пакетов не будет сразу запущен недоверенный пакетоскрипт
и последнее - дырища

Ответить | Правка | ^ к родителю #100 | Наверх | Cообщить модератору

110. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 12-Апр-18, 10:21 
>>> да, я согласен, особенно про X-ы и безопасность, но скрипты в пакетах  установки это такая же дырища как и кейлогерные функции X-ов
>> То есть если тебя поимеют через устанавливаемый суидный бинарь или юнит системГ
>> это нормально, а через скрипт - беда, огорчение, дырища.
> при установке расчитываешь что dpkg или rpm с оффрепозиториев - написаны хорошо
> и что они не сделают системе больно при установке недоверенного пакета

И не установят, например, чуть-чуть обновлённый, совместимый по API, /usr/lib/glibc.so.

> что системд не сделает новый сервис сразу стартед (так и есть, не
> делает)

А то, что в каком-нибудь /etc/profile.d появится новый скрипт, это уже не страшно.

> что при установке пакетов не будет сразу запущен недоверенный пакетоскрипт
> и последнее - дырища

Не больше, чем всё вышеперечисленное.

Ответить | Правка | ^ к родителю #108 | Наверх | Cообщить модератору

101. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 12-Апр-18, 02:04 
>>[оверквотинг удален]
> да, я согласен, особенно про X-ы и безопасность, но скрипты в пакетах
> установки это такая же дырища как и кейлогерные функции X-ов

Это дыра при условии, что вы не доверяете поставщику пакетов в целом. Но тогда пакетам этого поставщика в принципе нельзя доверять, со скриптами эти пакеты или нет — ими пользоваться недопустимо.

Ответить | Правка | ^ к родителю #98 | Наверх | Cообщить модератору

99. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от angra (ok) on 12-Апр-18, 02:01 
> то с контейнерами это вообще смешно. У вас ядро в контейнере то же самое крутится, между прочим! Конечно, напрямую из контейнера к вашим личным файлам будет сложнее достучаться, но это отсеет лишь самых наивных скрипт-кидисов.

Ну ты то не наивный скрипт-кидис, ты сейчас возьмешь и покажешь как взломать openvz контейнер изнутри.

Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

102. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 12-Апр-18, 02:05 
>> то с контейнерами это вообще смешно. У вас ядро в контейнере то же самое крутится, между прочим! Конечно, напрямую из контейнера к вашим личным файлам будет сложнее достучаться, но это отсеет лишь самых наивных скрипт-кидисов.
> Ну ты то не наивный скрипт-кидис, ты сейчас возьмешь и покажешь как
> взломать openvz контейнер изнутри.

Цена вопроса?

Ответить | Правка | ^ к родителю #99 | Наверх | Cообщить модератору

106. "Опасные уязвимости в утилитах beep и patch"  +4 +/
Сообщение от angra (ok) on 12-Апр-18, 08:12 
Странный вопрос в наши дни. Что намайнишь, всё твоё.
Ответить | Правка | ^ к родителю #102 | Наверх | Cообщить модератору

109. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от PereresusNeVlezaetBuggy (ok) on 12-Апр-18, 10:15 
Вас понял. Спасибо за ваше щедрое предложение, но оно мне не интересно.
Ответить | Правка | ^ к родителю #106 | Наверх | Cообщить модератору

29. "Опасные уязвимости в утилитах beep и patch"  –5 +/
Сообщение от Адекват (ok) on 11-Апр-18, 12:30 
НЕ могу удержаться от троллинга:
"beep-beep, mother$ucker".
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

30. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от A.Stahl (ok) on 11-Апр-18, 12:34 
И в чём суть троллинга? Я не улавливаю ни шутки ни оскорбления.
Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

33. "Опасные уязвимости в утилитах beep и patch"  +5 +/
Сообщение от Онаним on 11-Апр-18, 13:12 
Beepers gonna beep.
Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

34. "Опасные уязвимости в утилитах beep и patch"  –1 +/
Сообщение от ыы on 11-Апр-18, 13:13 
забудь. проехали...
Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

35. "Опасные уязвимости в утилитах beep и patch"  –4 +/
Сообщение от Адекват (ok) on 11-Апр-18, 13:15 
> И в чём суть троллинга? Я не улавливаю ни шутки ни оскорбления.

отсылка к отсылке к крепкому орешку.

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

36. "Опасные уязвимости в утилитах beep и patch"  +7 +/
Сообщение от Аноним (??) on 11-Апр-18, 13:16 
Шутка в имени пользователя.
Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

103. "Опасные уязвимости в утилитах beep и patch"  –1 +/
Сообщение от Алконим on 12-Апр-18, 04:04 
Ахаха
Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

72. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 17:29 
> НЕ могу удержаться от троллинга:
> "beep-beep, mother$ucker".

ты не адекват, ты бабка с одноклассников

Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

38. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от anonymous (??) on 11-Апр-18, 13:23 
> Завершение по SIGKILL приводит к вызову функции do_beep()

Щито?!

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

49. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Нанобот (ok) on 11-Апр-18, 14:03 
в оригинале речь идёт о SIGTERM
Ответить | Правка | ^ к родителю #38 | Наверх | Cообщить модератору

66. "Опасные уязвимости в утилитах beep и patch"  –1 +/
Сообщение от Аноним (??) on 11-Апр-18, 16:36 
> в оригинале речь идёт о SIGTERM

В эксплоите именно SIGKILL:

https://gist.github.com/Arignir/0b9d45c56551af39969368396e27...

# Trigger SIGINT
  os.kill(p.pid, signal.SIGINT)

# Kill process if it's sill alive
  time.sleep(200.0 / 1000000.0)
  os.kill(p.pid, signal.SIGKILL)

Ответить | Правка | ^ к родителю #49 | Наверх | Cообщить модератору

64. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от Аноним (??) on 11-Апр-18, 16:31 
>> Завершение по SIGKILL приводит к вызову функции do_beep()
> Щито?!

...
case SIGINT:
case SIGTERM:
    if(console_fd >= 0) {
      /* Kill the sound, quit gracefully */
      do_beep(0);
      close(console_fd);
      exit(signum);

Ответить | Правка | ^ к родителю #38 | Наверх | Cообщить модератору

67. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 16:38 

Но выполняется по SIGINT, естественно.

Ответить | Правка | ^ к родителю #38 | Наверх | Cообщить модератору

51. "Опасные уязвимости в утилитах beep и patch"  –6 +/
Сообщение от redd email on 11-Апр-18, 14:09 
Я не давно интересовался, этой функцией, у меня был ZX Spectrum там был BEEP,
хотел кой куда прикрутить, и прикручу )
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

52. "Опасные уязвимости в утилитах beep и patch"  –3 +/
Сообщение от redd email on 11-Апр-18, 14:12 
В принципе, её можно и самому сделать, вроде не так сложно,...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

55. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 11-Апр-18, 14:34 
Это просто beep -l 1000 какой-то!
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

58. "Опасные уязвимости в утилитах beep и patch"  +4 +/
Сообщение от 02726 on 11-Апр-18, 15:12 
патч для beep интересный, эксплуатирует уязвимость в patch :)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

61. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Гентушник (ok) on 11-Апр-18, 16:04 
Ага, особенно улыбнуло:
"A short beep should be heard if all hunks are applied successfully."
Ответить | Правка | ^ к родителю #58 | Наверх | Cообщить модератору

63. "Опасные уязвимости в утилитах beep и patch"  +3 +/
Сообщение от Аноним (??) on 11-Апр-18, 16:14 
> Интересно, что в BSD patch похожая проблема (https://www.freebsd.org/security/advisories/FreeBSD-SA-15:18...)
> была устранена (https://www.opennet.ru/opennews/art.shtml?num=42684) в 2015 году.

Забавно видеть в комментариях к той новости надутые от ЧСВ щечки и гордо задранные гузки перепончатых, вещающих в своей обычной манере о "БЗДунах"-дуалбутчиках и пузиэкзешниках, не пользующихся своей системой и немного, попутно, о недостатках "БояЗДешной" разработки и тестирования (а ведь все из-за неправильной лицензии!), которые и привели к ошибкам.
Но ни один и не подумал на всякий пожарный проверить гнутый вариант на предмет аналога ))

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

73. "Опасные уязвимости в утилитах beep и patch"  +2 +/
Сообщение от Аноним (??) on 11-Апр-18, 17:35 
Сколько желчи, сколько огня! Жаль только, что перечитать пришлось 4 раза, чтобы понять, кого ты вообще жгёшь. Серьёзно, столько деепричастных оборотов в одном предложении - это перебор.
Ответить | Правка | ^ к родителю #63 | Наверх | Cообщить модератору

76. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Andrey Mitrofanov on 11-Апр-18, 18:12 
>Серьёзно, столько деепричастных оборотов в одном
> предложении - это перебор.

Деепричастных там ни одного.
   Да, перебор.
      Объявлять это перебором.
</вторая подача>

Ответить | Правка | ^ к родителю #73 | Наверх | Cообщить модератору

126. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 13-Апр-18, 15:43 
>>Серьёзно, столько деепричастных оборотов в одном
>> предложении - это перебор.
> Деепричастных там ни одного.

Вообще-то два. Рекурсивных к тому же.

Ответить | Правка | ^ к родителю #76 | Наверх | Cообщить модератору

79. "Опасные уязвимости в утилитах beep и patch"  –2 +/
Сообщение от Аноним (??) on 11-Апр-18, 19:01 
> Жаль только, что перечитать пришлось 4 раза, чтобы понять, кого ты вообще жгёшь.

Судя по упорному минусованию, словопричастные к тому обсуждению перепончатые, все прекрасно поняли )

Ответить | Правка | ^ к родителю #73 | Наверх | Cообщить модератору

65. "Опасные уязвимости в утилитах beep и patch"  +1 +/
Сообщение от Аноним (??) on 11-Апр-18, 16:31 
Без JS не работает?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

104. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Алконим on 12-Апр-18, 04:06 
Надо запретить suid
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

117. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Аноним (??) on 12-Апр-18, 13:02 
Ущербную систему прав нужно запретить и уже использовать во всю CAP разрешения.
Ответить | Правка | ^ к родителю #104 | Наверх | Cообщить модератору

120. "Опасные уязвимости в утилитах beep и patch"  +/
Сообщение от Michael Shigorin email(ok) on 12-Апр-18, 14:55 
> Ущербную систему прав нужно запретить

Permission denied

Ответить | Правка | ^ к родителю #117 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема


  Закладки на сайте
  Проследить за страницей
Created 1996-2018 by Maxim Chirkov  
ДобавитьПоддержатьВебмастеруГИД  
Hosting by Ihor